ByteIo (rhino 1.7.14 API)

org.mozilla.javascript.typedarrays

## Class ByteIo

- java.lang.Object
- - org.mozilla.javascript.typedarrays.ByteIo

-     public class ByteIo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteIo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Float` | `readFloat32(byte[] buf, int offset, boolean littleEndian)`
    `static java.lang.Double` | `readFloat64(byte[] buf, int offset, boolean littleEndian)`
    `static java.lang.Short` | `readInt16(byte[] buf, int offset, boolean littleEndian)`
    `static java.lang.Integer` | `readInt32(byte[] buf, int offset, boolean littleEndian)`
    `static java.lang.Byte` | `readInt8(byte[] buf, int offset)`
    `static java.lang.Integer` | `readUint16(byte[] buf, int offset, boolean littleEndian)`
    `static java.lang.Object` | `readUint32(byte[] buf, int offset, boolean littleEndian)`
    `static long` | `readUint32Primitive(byte[] buf, int offset, boolean littleEndian)`
    `static long` | `readUint64Primitive(byte[] buf, int offset, boolean littleEndian)`
    `static java.lang.Integer` | `readUint8(byte[] buf, int offset)`
    `static void` | `writeFloat32(byte[] buf, int offset, double val, boolean littleEndian)`
    `static void` | `writeFloat64(byte[] buf, int offset, double val, boolean littleEndian)`
    `static void` | `writeInt16(byte[] buf, int offset, int val, boolean littleEndian)`
    `static void` | `writeInt32(byte[] buf, int offset, int val, boolean littleEndian)`
    `static void` | `writeInt8(byte[] buf, int offset, int val)`
    `static void` | `writeUint16(byte[] buf, int offset, int val, boolean littleEndian)`
    `static void` | `writeUint32(byte[] buf, int offset, long val, boolean littleEndian)`
    `static void` | `writeUint64(byte[] buf, int offset, long val, boolean littleEndian)`
    `static void` | `writeUint8(byte[] buf, int offset, int val)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteIo

          public ByteIo()

  - ### Method Detail

    - #### readInt8

          public static java.lang.Byte readInt8(byte[] buf,
                                                int offset)

    - #### writeInt8

          public static void writeInt8(byte[] buf,
                                       int offset,
                                       int val)

    - #### readUint8

          public static java.lang.Integer readUint8(byte[] buf,
                                                    int offset)

    - #### writeUint8

          public static void writeUint8(byte[] buf,
                                        int offset,
                                        int val)

    - #### readInt16

          public static java.lang.Short readInt16(byte[] buf,
                                                  int offset,
                                                  boolean littleEndian)

    - #### writeInt16

          public static void writeInt16(byte[] buf,
                                        int offset,
                                        int val,
                                        boolean littleEndian)

    - #### readUint16

          public static java.lang.Integer readUint16(byte[] buf,
                                                     int offset,
                                                     boolean littleEndian)

    - #### writeUint16

          public static void writeUint16(byte[] buf,
                                         int offset,
                                         int val,
                                         boolean littleEndian)

    - #### readInt32

          public static java.lang.Integer readInt32(byte[] buf,
                                                    int offset,
                                                    boolean littleEndian)

    - #### writeInt32

          public static void writeInt32(byte[] buf,
                                        int offset,
                                        int val,
                                        boolean littleEndian)

    - #### readUint32Primitive

          public static long readUint32Primitive(byte[] buf,
                                                 int offset,
                                                 boolean littleEndian)

    - #### writeUint32

          public static void writeUint32(byte[] buf,
                                         int offset,
                                         long val,
                                         boolean littleEndian)

    - #### readUint32

          public static java.lang.Object readUint32(byte[] buf,
                                                    int offset,
                                                    boolean littleEndian)

    - #### readUint64Primitive

          public static long readUint64Primitive(byte[] buf,
                                                 int offset,
                                                 boolean littleEndian)

    - #### writeUint64

          public static void writeUint64(byte[] buf,
                                         int offset,
                                         long val,
                                         boolean littleEndian)

    - #### readFloat32

          public static java.lang.Float readFloat32(byte[] buf,
                                                    int offset,
                                                    boolean littleEndian)

    - #### writeFloat32

          public static void writeFloat32(byte[] buf,
                                          int offset,
                                          double val,
                                          boolean littleEndian)

    - #### readFloat64

          public static java.lang.Double readFloat64(byte[] buf,
                                                     int offset,
                                                     boolean littleEndian)

    - #### writeFloat64

          public static void writeFloat64(byte[] buf,
                                          int offset,
                                          double val,
                                          boolean littleEndian)